<?
/*
//
// Script cre par : Bisous Partout des GrosBilloux [BG]
// Le : 11/03/06.
//
// Librairies utilises : cURL, GD.
// 
*/
require("Includes/constantes.php"); //Importe le fichier des constantes
require("Includes/MySQL_Class.php"); //Importe le fichier MySQL_Class
require("Includes/fonctions.php"); //Importe le fichier de fonctions

$bdd=new MySQL_Class(DATABASE,DOMAINE,IDENTIFIANT,MDP); //Crer une connexion  la base
$msg_type=0; //Affiche aucun message par dfaut

if(isset($_POST['i_str_nom'])){ //Si le formulaire a t valid
	$nom=$_POST['i_str_nom'];
	if($nom!=""){ //Si le nom n'est pas vide
		if(preg_match("!^[A-Z]{1}[a-z]* [A-Z]{1}[a-z]*!",$nom)){ //Si le nom est format correctement (majuscule  la premire lettre, 2 mots minimum (comme dans GW))
			$img="signature".$_POST['i_radio_sign']; //Gnration du nom de l'image
			CreateImage($nom,$img); //Crer la signature avec le nom
			AddToDB($nom,$img); //Ajoute le nom  la base
			$nom=preg_replace('! !','_',$nom); //Remplace les espaces par des underscore ( _ ) dans le nom pour l'utiliser en tant qu'URL
			$msg_type=1; //Affiche le lien pour la signature
		}else { //Si le nom n'est pas format correctement
			$msg="Vous devez entrer un nom valide (majuscule  la premire lettre ainsi que 2 mots au minimum)."; //Message d'erreur
			$msg_type=2; //Affiche le message d'erreur
		}
	}else{ //Si le nom est vide
		$msg="Vous devez entrer un nom."; //Message d'erreur
		$msg_type=2; //Affiche le message d'erreur
	}
}

//Vide les variables
$liste_signatures="";
$style_css="";
$javascript="";
////
$x=0;

if($bdd->Query("SELECT * FROM signatures ORDER BY classe")){ //S'il y a des entres dans la base
	for($i=1;$i<=8;$i++){
		$liste_signatures.="<div id=\"classe$i\">\n";
		$bdd->Fetch($x,false);
		while($bdd->data['classe']=="$i"){
			$id_sign=preg_replace("![^0-9]!","",$bdd->data['nom']);
			##Gnration dynamique des styles CSS pour les images
			$style_css.="a.".$bdd->data['nom']."{display:block;background:url(Images/".$bdd->data['nom']."_jour.jpg) no-repeat left top;}\n";
			$style_css.="a:hover.".$bdd->data['nom']."{background:url(Images/".$bdd->data['nom']."_nuit.jpg) no-repeat left top;}\n";
			####
			##Gnration dynamique du javascript pour les images
			$javascript.="image".$id_sign."_n=new Image();\nimage".$id_sign."_n.src=\"Images/".$bdd->data['nom']."_nuit.jpg\";\n";
			$javascript.="image".$id_sign."_j=new Image();\nimage".$id_sign."_j.src=\"Images/".$bdd->data['nom']."_jour.jpg\";\n";
			####
			##Gnration dynamique du HTML pour les images
			$liste_signatures.="<a href=\"#choix\" class=\"".$bdd->data['nom']."\" onclick=\"choix($id_sign)\"><img src=\"Images/vide.png\" width=\"402\" height=\"110\"></a>\n";
			####
			$x++;
			$bdd->Fetch($x,false);
		}
		$liste_signatures.="</div>\n";
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
	<head>
		<title>Signature Grosbilloux</title>
		<link rel="stylesheet" type="text/css" media="screen" href="CSS/style.css" />
		<script type="text/javascript" src="Javascript/fonctions.js"></script>
		<style type="text/css">
			<?echo$style_css;?>
		</style>
		<script type="text/javascript">
			<?echo$javascript;?>
		</script>
	</head>
	<body>
		<div id="bg_site">
			<a href="http://grosbilloux.forumactif.com" target="_blank"><img src="Images/ban_gb.gif" width="500" height="125" alt="Bannire Les GrosBilloux" title="Bannire Les GrosBilloux" id="ban" /></a>
			<div id="corps">
				<h1 id="titre">Signature Dynamique v1.2b</h1>
				<p>Script PHP dvelopp par <a href="Images/img_bisous.jpg" target="_blank"><strong>Bisous Partout</strong></a>.<br />
				Images des signatures faites par <strong>Erazil</strong>.<br />
				pour <strong>Les GrosBilloux</strong>.</p>
				<form method="post" action="index.php" name="add_data">
				<p class="formulaire">Nom du personnage : <input type="text" size="35" id="i_str_nom" name="i_str_nom" maxlength="19" /> <a href="#" onclick="document.add_data.submit();" class="boutton">envoyer</a></p>
				<?if($msg_type==1){?><p class="url_sign">[img]<a href="http://lurikuny.free.fr/Sign/Images/Signatures/<?echo$nom?>.jpg" target="_blank">http://lurikuny.free.fr/Sign/Images/Signatures/<?echo$nom?>.jpg</a>[/img]</p><?}?>
				<?if($msg_type==2){?><p class="url_sign"><span class="erreur"><?echo$msg;?></span></p><?}?>
				<?if($msg_type==0){?><p class="url_sign_hidden">&nbsp;</p><?}?>
				<div id="choix"><span class="orange">Signature slectionne :</span><a href="#" id="img_choisie" class=""><img src="Images/vide.png" width="402" height="110" /></a></div>
				<div id="choix_sign">
					<div id="menu">
						<ul>
							<li><a href="#" onclick="popup_signatures();">Toutes les signatures</a></li>
							<li><a href="#" onclick="affiche(1);">Assassin</a></li>
							<li><a href="#" onclick="affiche(2);">Elementaliste</a></li>
							<li><a href="#" onclick="affiche(3);">Envoteur</a></li>
							<li><a href="#" onclick="affiche(4);">Guerrier</a></li>
							<li><a href="#" onclick="affiche(5);">Moine</a></li>
							<li><a href="#" onclick="affiche(6);">Necro</a></li>
							<li><a href="#" onclick="affiche(7);">Ritualiste</a></li>
							<li><a href="#" onclick="affiche(8);">Rodeur</a></li>
						</ul>
					</div>
					<div id="signatures">&nbsp;
						<?echo$liste_signatures;?>
					</div>
					<div class="clearfix"></div>
				</div>
				<input type="hidden" id="i_radio_sign" name="i_radio_sign" value="1" />
				</form>
			</div>
			<p id="footer">Page ralise par <a href="Images/img_bisous.jpg" target="_blank"><strong>Bisous Partout [GB]</strong></a></p>
		</div>
	</body>
</html>