<?
/*
//
// Script cre par : Bisous Partout des GrosBilloux [BG]
// Le : 11/03/06.
//
// Librairies utilises : cURL, GD.
// 
*/

session_start(); //Active les variables de session

require("Includes/constantes.php"); //Importe le fichier des constantes
require("Includes/MySQL_Class.php"); //Importe le fichier MySQL_Class

$bdd=new MySQL_Class(DATABASE,DOMAINE,IDENTIFIANT,MDP); //Crer une connexion  la base

#### Vrification de l'identifiant
if(isset($_POST['i_str_login']) and isset($_POST['i_str_password'])){ //Si le formulaire d'identification a t valid
	$login=$_POST['i_str_login'];
	$password=$_POST['i_str_password'];
	if(($login=="admin") and ($password=="password")){ //Vrification de l'identifiant et du mot de passe
		$_SESSION['logged']=true; //Crer une variable de session indiquant que l'utilisateur est identifi
	}
}
if(!isset($_SESSION['logged'])){ //Si la personne n'est pas logge
	header("Location: admin.htm"); //Retour  la page admin.htm
}
####

$msg_type=0; //Affiche aucun message par dfaut
$dossier_dest='Images/'; //Dossier de destination pour les images
if(file_exists($i_file_img_jour)){ //Si le fichier a t upload
	if(!@copy($i_file_img_jour,$dossier_dest.$i_file_img_jour_name)){ //Si la copie dans le rpertoire a choue
		$msg="Impossible d'uploader la signature $tmp_sign_jour_name."; //Message d'erreur
		$msg_type=2; //Affiche le message d'erreur
	}else{ //Si la copie a russie
		$msg="La signature $i_file_img_jour_name a correctement t ajoute."; //Message de russite
	}
}
if(file_exists($i_file_img_nuit)){ //Si le fichier a t upload
	if(!@copy($i_file_img_nuit,$dossier_dest.$i_file_img_nuit_name)){ //Si la copie dans le rpertoire a choue
		$msg.="<br />Impossible d'uploader la signature $i_file_img_nuit_name."; //Message d'erreur
		$msg_type=2; //Affiche le message d'erreur
	}else{ //Si la copie a russie
		$msg.="<br />La signature $i_file_img_nuit_name a correctement t ajoute."; //Message de russite
	}
}
if(isset($_POST['i_str_nom'])){ //Si le formulaire a t valid
	$nom=$_POST['i_str_nom'];
	$classe=$_POST['i_sel_classe'];
	if($nom==""){ //Si le nom est vide
		//On gnre un nom  partir du nom de l'image
		$nom=preg_replace("![^0-9]{1,2}!","",$i_file_img_jour_name);
		$nom="signature".$nom;
		////
	}
	if($bdd->S_Query("SELECT * FROM signatures WHERE nom='$nom'")){ //Si l'entre existe dj dans la base
		if($bdd->Update("UPDATE signatures SET classe='$classe' WHERE nom='$nom'")){ //Met  jour l'entre dans la base
			$msg.="<br />La base de donnes a bien t mise  jour."; //Message de russite
			$msg_type=1; //Affiche le message de russite
		}else{
			$msg.="<br />Impossible de mettre  jour la base de donnes."; //Message d'erreur
			$msg_type=2; //Affiche un message d'erreur
		}
	}else{ //Sinon
		if($bdd->Insert("INSERT INTO signatures VALUES('','$nom','$classe')")){ //Crer une nouvelle entre dans la base
			$msg.="<br />L'entre a bien t ajout  la base."; //Message de russite
			$msg_type=1; //Affiche le message de russite
		}else{
			$msg.="<br />Impossible d'ajouter l'entre  la base"; //Message d'erreur
			$msg_type=2; //Affiche le message d'erreur
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
	<head>
		<title>Page d'administration</title>
		<link rel="stylesheet" type="text/css" href="CSS/style.css" />
	</head>
	<body>
		<div id="bg_site">
			<a href="http://grosbilloux.forumactif.com" target="_blank"><img src="Images/ban_gb.gif" width="500" height="125" alt="Bannire Les GrosBilloux" title="Bannire Les GrosBilloux" id="ban" /></a>
			<div id="corps">
				<h1 id="titre">Signatures Dynamiques v1.2b</h1>
				<p>Interface d'administration des signatures.</p>
				<p>Bienvenue <?echo$login?></p><br />
				<div class="top_10px"><?if($msg_type==1){?><p class="url_sign"><?echo$msg;?></p><?}?>
				<?if($msg_type==2){?><p class="url_sign"><span class="erreur"><?echo$msg;?></span></p><?}?>
				<?if($msg_type==0){?><p class="url_sign_hidden">&nbsp;</p><?}?></div>
				<form enctype="multipart/form-data" action="add_signature.php" method="post" name="add_data">
				<table cellspacing="4" cellpadding="0" border="0" class="formulaire">
					<tr>
						<td width="170" align="right">Image jour : </td>
						<td width="430"><input type="file" id="i_file_img_jour" name="i_file_img_jour" size="34" /></td>
					</tr>
					<tr>
						<td align="right">Image nuit : </td>
						<td><input type="file" id="i_file_img_nuit" name="i_file_img_nuit" size="34" /></td>
					</tr>
					<tr>
						<td align="right">Nom de l'image : </td>
						<td><input type="text" id="i_str_nom" name="i_str_nom" size="34" /></td>
					</tr>
					<tr>
						<td align="right">Classe : </td>
						<td>
							<select id="i_sel_classe" name="i_sel_classe">
								<option value="1" selected="selected">Assassin</option>
								<option value="2">Elmentaliste</option>
								<option value="3">Envoteur</option>
								<option value="4">Guerrier</option>
								<option value="5">Moine</option>
								<option value="6">Necro</option>
								<option value="7">Ritualiste</option>
								<option value="8">Rodeur</option>
							</select>
						</td>
					</tr>
					<tr>
						<td align="right">&nbsp;</td>
						<td><a href="#" onclick="document.add_data.submit();" class="boutton">Ajouter</a></td>
					</tr>
				</table>
				</form>
			</div>
			<p id="footer">Page ralise par <a href="Images/img_bisous.jpg" target="_blank"><strong>Bisous Partout [GB]</strong></a></p>
		</div>
	</body>
</html>